<Manage::FieldContainer @title={{@title}} @isDisabled={{@isDisabled}} @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{this.cancel}}
  @value={{this.value}} ...attributes>
  <:view>
    <div class='row align-items-start'>
      <div class='col-12 col-md-8'>
        <strong>Matomo url:</strong>
        {{#if @value.matomoUrl}}
          <span class='matomo-url'>{{@value.matomoUrl}}</span>
        {{else}}
          <span class='matomo-url text-muted'>{{t 'not set'}}</span>
        {{/if}}
      </div>
      <div class='col-12 col-md-4'>
        <strong>Site id:</strong>
        {{#if @value.matomoSiteId}}
          <span class='side-id'>{{@value.matomoSiteId}}</span>
        {{else}}
          <span class='side-id text-muted'>{{t 'not set'}}</span>
        {{/if}}
      </div>
    </div>
  </:view>

  <:edit>
    <div class='row align-items-start'>
      <div class='col-12 col-md-8'>
        <label for='{{this.elementId}}-matomo-url' class='form-label'>Matomo
          url:</label>
        <Input id='{{this.elementId}}-matomo-url' @value={{this.matomoUrl}} class='form-control input-matomo-url' />
      </div>
      <div class='col-12 col-md-4'>
        <label for='{{this.elementId}}-matomo-url' class='form-label'>Site id:</label>
        <Input id='{{this.elementId}}-side-id' @value={{this.siteId}} class='form-control input-side-id' />
      </div>
    </div>
  </:edit>
</Manage::FieldContainer>